| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
Digikam::RatingComboBoxModel Class Reference
Inheritance diagram for Digikam::RatingComboBoxModel:

## Public Types
enum | CustomRoles { RatingRole = Qt::UserRole }

## Public Member Functions
| RatingComboBoxModel (QObject *const parent=nullptr)
QVariant | data (const QModelIndex &index, int role) const override
QModelIndex | index (int row, int column=0, const QModelIndex &parent=QModelIndex()) const override
QModelIndex | indexForRatingValue (RatingComboBox::RatingValue value) const
int | rowCount (const QModelIndex &parent) const override

## Protected Member Functions
QVariant | ratingValueToDisplay (RatingComboBox::RatingValue value) const

## Protected Attributes
QList< RatingComboBox::RatingValue > | m_entries